int hBridge1A = 2;
int hBridge12Enable = 3;
int hBridge2A = 4;
int hBridge3A = 8;
int hBridge34Enable = 9;
int hBridge4A = 10;

void setup() {
  pinMode(hBridge1A, OUTPUT);
  pinMode(hBridge12Enable, OUTPUT);
  pinMode(hBridge2A, OUTPUT);
  pinMode(hBridge3A, OUTPUT);
  pinMode(hBridge34Enable, OUTPUT);
  pinMode(hBridge4A, OUTPUT);}

void motorAForward(int speed){
  digitalWrite(hBridge1A, HIGH);
  digitalWrite(hBridge2A, LOW);
  analogWrite(hBridge12Enable, speed);
}

void motorABackward(int speed){
  digitalWrite(hBridge1A, LOW);
  digitalWrite(hBridge2A, HIGH);
  analogWrite(hBridge12Enable, speed);
}

void motorBForward(int speed){
  digitalWrite(hBridge3A, HIGH);
  digitalWrite(hBridge4A, LOW);
  analogWrite(hBridge34Enable, speed);
}

void motorBBackward(int speed){
  digitalWrite(hBridge3A, LOW);
  digitalWrite(hBridge4A, HIGH);
  analogWrite(hBridge34Enable, speed);
}

void loop() {
  motorAForward(255);  // forward
  motorBForward(255);
  delay(2000);
  motorAForward(255);  // to the right
  motorBForward(128);
  delay(2000);
  motorABackward(255); // backward
  motorBBackward(255);
  delay(2000);
}
